Name:		epdfview
Version:	0.1.8
Release:	%mkrel 16

Summary:	Simple and lightweight PDF viewer
Group:		Office/Utilities
License:	GPLv2+
# URL is not available
URL:		http://trac.emma-soft.com/epdfview
Source:		http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
Patch1:		glib2_headers.patch
Patch2:		epdfview-0.1.6-format_not_a_string_literal_and_no_format_arguments.patch
Patch3:		0001-When-using-Poppler-0.17.0-I-needed-to-swap-the-blue-.patch
Patch4:		epdfview-0.1.8-cups-1.6.patch
Patch5:		epdfview-0.1.8-mga-i18n-desktop.patch
BuildRequires:	pkgconfig(gdk-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.6.0
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(poppler-glib) >= 0.5.0
BuildRequires:	cups-devel
BuildRequires:	bison
BuildRequires:	pkgconfig(cppunit)
Requires:	poppler

%description
ePDFView is a free lightweight PDF document viewer using 
Poppler and GTK+ libraries.The aim of ePDFView is to make 
a simple PDF document viewer, in the lines of Evince but 
without using the Gnome libraries.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-rpath --with-cups
%make_build

%install
%make_install

# (tpg) move icons to the right place
for i in 24 32 48;do
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/"$i"x"$i"/apps
cp %{buildroot}/%{_datadir}/%{name}/pixmaps/icon_%{name}-$i.png %{buildroot}/%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png;
done

sed -i -e 's/^Icon=icon_%{name}-48$/Icon=%{name}/g' %{buildroot}/%{_datadir}/applications/*
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Nov 05 2020 wally <wally> 0.1.8-16.mga8
+ Revision: 1642881
- drop unneeded aarch64 fixes

* Thu Feb 13 2020 umeabot <umeabot> 0.1.8-15.mga8
+ Revision: 1512092
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.8-14.mga7
+ Revision: 1297613
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 wally <wally> 0.1.8-13.mga7
+ Revision: 1234975
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.1.8-12.mga6
+ Revision: 1070614
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.1.8-11.mga6
+ Revision: 1046174
- test rebuild for poppler

* Tue Feb 02 2016 umeabot <umeabot> 0.1.8-10.mga6
+ Revision: 932309
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-9.mga5
+ Revision: 749545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-8.mga5
+ Revision: 679018
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 alexl <alexl> 0.1.8-7.mga5
+ Revision: 673794
- cleanup spec
- translated desktop file (i18n-desktop.patch)

* Sat Oct 19 2013 umeabot <umeabot> 0.1.8-6.mga4
+ Revision: 528473
- Mageia 4 Mass Rebuild

* Thu Jun 20 2013 fwang <fwang> 0.1.8-5.mga4
+ Revision: 445184
- fix build with latest cups

* Thu Jan 24 2013 fwang <fwang> 0.1.8-4.mga3
+ Revision: 391971
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 fwang <fwang> 0.1.8-3.mga3
+ Revision: 266444
- fix build with latest glib
- add archlinux patch to fix confusion on red/blue channel (bug#6637)

* Tue Sep 27 2011 ovitters <ovitters> 0.1.8-2.mga2
+ Revision: 149424
- add gtk+2.0 to buildrequires
- rebuild for new poppler
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jun 20 2011 tv <tv> 0.1.8-1.mga2
+ Revision: 110166
- new release
- drop patches 3 & 4

* Mon Mar 14 2011 andre999 <andre999> 0.1.7-6.mga1
+ Revision: 71416
- imported package epdfview


* Mon Mar 14 2011 andre999 <andre999@mageia.org> 0.1.7-6mga1
- import from mdv + clean

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 0.1.7-6mdv2011.0
+ Revision: 626174
- add patch to build with latest poppler 0.16.0
- rebuild for new poppler

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-5mdv2011.0
+ Revision: 566236
- rebuild for new poppler

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.7-4mdv2010.0
+ Revision: 422601
- add requires on poppler (mdvbz #46661)
- Patch3: fox mouse scrolling (mdvbz #51414)

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0.1.7-3mdv2010.0
+ Revision: 377482
- rebuild for new poppler

* Sat Mar 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.7-2mdv2009.1
+ Revision: 351898
- fix missing icon (mdvbz #48511)

* Tue Mar 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 348103
- update to the new version 0.1.7
- drop patches 0 and 1, merged upstream
- fix missing icons
- correct icon name in desktop file

* Wed Feb 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-7mdv2009.1
+ Revision: 339502
- Patch2: fix building with -Werror=format-security
- add buildrequires on bison and cppunit-devel

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-6mdv2009.0
+ Revision: 231862
- move icons to the right place
- fix icon name in menu entry
- run scriplets for mdv < 2009.0

* Sun Jun 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-5mdv2009.0
+ Revision: 219295
- Patch1: fix compilation
- rebuild for new poppler

* Fri Mar 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-4mdv2008.1
+ Revision: 190802
- Patch0: fix printing of documents, patch from upstream svn (mdv bug #39332)

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.1.6-3mdv2008.1
+ Revision: 168491
- rebuild
- fix summary

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.1.6-2mdv2008.1
+ Revision: 156326
- fix URL and tarball URL

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2008.0
+ Revision: 83497
- Import epdfview

